## org.apache.batik
Class Version

    java.lang.Object
      org.apache.batik.Version

    public final class Version

extends java.lang.Object

This class defines the Batik version number.

Constructor Summary
`Version()`

Method Summary
`static java.lang.String` `getVersion()` Returns the Batik version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Version

    public Version()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Returns the Batik version.

  This is based on the Implementation-Version attribute in the batik-util.jar (which is where this Version class lives) and the 'HeadURL' SVN keyword. The keyword be substituted with the URL of this file, which is then inspected to determine if this file was compiled from the trunk, a tag (a release version), or a branch. The format of the returned string will be one of the following:

  Source | Version string
  --- | ---
  Release version | version
  Trunk | version+rrevision
  Branch | version+rrevision; branch-name
  Unknown | development version

  Prior to release 1.7, the version string would be the straight tag (e.g. `"batik-1_6"`) or the string `"development.version"`. revision is the Subversion working copy's revision number.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.